<?php session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
set_time_limit(3000); 
if (!$_POST ) { 
/////////////////////////////////////////////////MOSTRAR SOLICITUD DE CEDULA ////////////////////////////////////////////////////////////////
?>
<html>
	<head><script language='javascript' src='fscript.js'></script>
	<link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?
$entra=0;
echo "<h2>Consulta de Ingresos Anuales</h2>";

	echo "<form name = 'entrada' target='_blank' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
	echo "<tr>";
		echo "<td> Ordenado por:</td>";
		echo "<td colspan = 3>";
		echo "	<input type = 'radio' name = 'orden' value = 'codigo' checked> cedula";
		echo "	<input type = 'radio' name = 'orden' value = 'sso'> Ficha";
	echo "</tr>";
	echo "<tr>";
		echo "<td> A&ntilde;o:</td>";
		echo "<td> <input name='anio'  maxlength = '4'></td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td> C&eacute;dula:</td>";
		echo "<td> <input name='cedula' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td> Tipo Reporte:</td>";
		echo "<td colspan = 3>";
		echo "	<input type = 'radio' name = 'orden1' value = '1' checked> Resumen";
		echo "	<input type = 'radio' name = 'orden1' value = '2'> Detallado";
	echo "</tr>";
	echo "</table>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.anio.focus()";
	echo "	</script>";

	echo "<table border=0  align = 'center'><tr>";
	echo "<td><input type = 'submit' value = 'Buscar Registros'></td>";
	echo "</form></font>"; 
} else {

	$consulta=mysql_query("select * from empresa where id='".$_SESSION['id_validar']."' ");
	if (mysql_num_rows($consulta)!=0){
		$row=mysql_fetch_array($consulta);
		$_POST['pie']=$row['pie'];
		$_POST['encabeza']=$row['encabeza'];
		$_POST['empresas']=$row['nombre'];
	}   
	$_POST['usuario']=$_SESSION['nombre_validar'];

	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
		{
		    $this->Image($_SESSION['logo_validar'],10,10,30,30);
		    $this->SetFont('arial','',12);
			$this->Ln(2);
			$this->SetFont('arial','B',10);
		    $this->Cell(0,0,$_POST['empresas'],0,1,'R'); $this->Ln(5);
			$this->Cell(0,0,$_POST['encabeza'],0,1,'R');$this->Ln(5);
			$this->SetFont('arial','',8);
		    $this->Cell(0,0,'Fecha: '.hoy(),0,1,'R'); $this->Ln(5);
		    $this->Cell(0,0,'Usuario: '.$_POST['usuario'],0,1,'R'); $this->Ln(5);
			$this->SetFont('arial','B',12); 
			$this->Cell(0,0,"Ingresos Anuales",0,1,'C');$this->Ln(5);
			$header=array('Item','Rif - Cedula','Nombre de Trabajador','Ingresos Bs.');
		    $this->SetFillColor(70,77,119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255,255,255);
			$this->SetLineWidth(.5);
		    $this->SetFont('','');
			$this->SetFont('arial','B',8);
			if ($_POST['cedula']!='') {
				$w=array(10,30,100,30); 
			} else {
				$w=array(10,55,70,60);
			}	
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');
		}
		function Footer()
		{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Página '.$this->PageNo().'/{nb}',0,0,'C');
		}
	} //cierre de clas reporte
	$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',8);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	
	if ($_POST['cedula']!='') {
		$query1="select historico.monto,historico.desconcepto,historico.desperiodo,historico.concepto,personal.sso, personal.nombres, personal.apellidos, personal.codigo from historico,personal where personal.id='".$_SESSION['id_validar']."' and historico.cedula=personal.codigo and historico.cedula='".$_POST['cedula']."' and substring(historico.desperiodo,1,4)='".$_POST['anio']."' order by personal.".$_POST['orden'];
	} else {
		$query1="select historico.monto,historico.concepto,personal.sso, personal.nombres, personal.apellidos, personal.codigo from historico,personal where personal.id='".$_SESSION['id_validar']."' and historico.cedula=personal.codigo and substring(historico.desperiodo,1,4)='".$_POST['anio']."' order by personal.".$_POST['orden'];
	}
	$consulta = mysql_query($query1) or die ($query1.' > '.mysql_error());
	$linea=0;$bandera=0;
	$monto=0;
	if ($_POST['cedula']!='') {
		$w=array(10,30,100,30); 
	} else {
		$w=array(10,55,70,60);
	}	
	while($row=mysql_fetch_array($consulta)) {
		if ($row['concepto']<2000 && $row['concepto']!='DEDU') {
			if ($_POST['orden1']==1) {
				if ($_POST['orden']=='codigo') {
					if ($bandera==0) $ced=$row['codigo'];
					if ($ced!=$row['codigo']) {
							$linea++;
							$pdf->cell($w[0],5,$linea,0,0,'C',$color);
							$pdf->cell($w[1],5,"Rif: ".$sso." - Ced:".$ced,0,0,'',$color);
							
							$pdf->cell($w[2],5,trim($apellidos).", ".trim($nombres),0,0,'',$color);
							$pdf->cell($w[3],5,number_format($monto,2),0,1,'R',$color);
							$color=!$color;
							$monto=0;
					}
					$monto=$monto+$row['monto'];
					$ced=$row['codigo'];			
					$nombres=$row['nombres'];			
					$sso=$row['sso'];			
					$apellidos=$row['apellidos'];			
					$bandera=1;
				} else {
					if ($bandera==0) $ced=$row['sso'];
					if ($ced!=$row['sso']) {
							$linea++;
							$pdf->cell($w[0],5,$linea,0,0,'C',$color);
							$pdf->cell($w[1],5,$ced." - ".$sso,0,0,'',$color);
							$pdf->cell($w[2],5,trim($apellidos).", ".trim($nombres),0,0,'',$color);
							$pdf->cell($w[3],5,number_format($monto,2),0,1,'R',$color);
							$color=!$color;
							$monto=0;
					}
					$monto=$monto+$row['monto'];
					$ced=$row['sso'];			
					$nombres=$row['nombres'];			
					$sso=$row['codigo'];			
					$apellidos=$row['apellidos'];			
					$bandera=1;
				} // cierre de orden	
			} else {
				if ($_POST['orden']=='codigo') {
					if ($bandera==0) $ced=$row['codigo'];
					if ($ced!=$row['codigo']) {
						$pdf->cell($w[0],5,'',0,0,'C',$color);
						$pdf->cell($w[1],5,'',0,0,'',$color);
						$pdf->cell($w[2],5,'Sub-Total...',0,0,'R',$color);
						$pdf->cell($w[3],5,number_format($monto,2),0,1,'R',$color);
						$pdf->ln(10);
						$color=!$color;
						$monto=0;
						$linea=0;
					}	
					$linea++;
					$monto=$monto+$row['monto'];
					$ced=$row['codigo'];			
					$nombres=$row['nombres'];			
					$sso=$row['sso'];			
					$apellidos=$row['apellidos'];			
					$bandera=1;
					$pdf->cell($w[0],5,$linea,0,0,'C',$color);
					$pdf->cell($w[1],5,$sso."-".$ced,0,0,'',$color);
					$pdf->cell($w[2],5,trim($row['desconcepto'])."-".trim($row['desperiodo']),0,0,'',$color);
					$pdf->cell($w[3],5,number_format($row['monto'],2),0,1,'R',$color);
					$color=!$color;
				} else {
					if ($bandera==0) $ced=$row['sso'];
					if ($ced!=$row['sso']) {
						$pdf->cell($w[0],5,'',0,0,'C',$color);
						$pdf->cell($w[1],5,'',0,0,'',$color);
						$pdf->cell($w[2],5,'Sub-Total...',0,0,'R',$color);
						$pdf->cell($w[3],5,number_format($monto,2),0,1,'R',$color);
						$pdf->ln(10);
						$color=!$color;
						$monto=0;
						$linea=0;
					}	
					$linea++;
					$monto=$monto+$row['monto'];
					$ced=$row['sso'];			
					$nombres=$row['nombres'];			
					$sso=$row['codigo'];			
					$apellidos=$row['apellidos'];			
					$bandera=1;
					$pdf->cell($w[0],5,$linea,0,0,'C',$color);
					$pdf->cell($w[1],5,$ced."-".$sso,0,0,'',$color);
					$pdf->cell($w[2],5,trim($row['desconcepto'])."-".trim($row['desperiodo']),0,0,'',$color);
					$pdf->cell($w[3],5,number_format($row['monto'],2),0,1,'R',$color);
					$color=!$color;
				} // cierre de orden	
			} // cierre de resumen o dtallado		
		} // cierre de deducciones	
	} // cierre del ciclo
	
	if ($_POST['orden1']==1) {
		$linea++;
		$pdf->cell($w[0],5,$linea,0,0,'C',$color);
		$pdf->cell($w[1],5,$sso."-".$ced,0,0,'',$color);
		$pdf->cell($w[2],5,trim($apellidos).", ".trim($nombres),0,0,'',$color);
		$pdf->cell($w[3],5,number_format($monto,2),0,1,'R',$color);
	} else {
		$pdf->cell($w[0],5,'',0,0,'C',$color);
		$pdf->cell($w[1],5,'',0,0,'',$color);
		$pdf->cell($w[2],5,'Sub-Total...',0,0,'R',$color);
		$pdf->cell($w[3],5,number_format($monto,2),0,1,'R',$color);
	}	
	$pdf->Output();
	mysql_close($enlace);
	
} // fin de reporte
?>